commit 15a423bf373a8116a0de7a627eaaea3932541e88
Author: Michael Adam <obnox@samba.org>
Date:   Wed Feb 1 14:25:12 2012 +0000

    s3:smbd:smb2: fix an assignment-instead-of-check bug conn_snum_used()
    
    Accidential "=" instead of "==".
    
    Autobuild-User: Michael Adam <obnox@samba.org>
    Autobuild-Date: Wed Feb  1 17:10:15 CET 2012 on sn-devel-104
    (cherry picked from commit 6ba09e039e4efee33ce6b8cd9f919409656c2afb)
    
    Fix bug #8738 (SMB2 server will not release unused shares).

diff --git a/source3/smbd/conn.c b/source3/smbd/conn.c
index 833147b..8a96e88 100644
--- a/source3/smbd/conn.c
+++ b/source3/smbd/conn.c
@@ -67,7 +67,7 @@ bool conn_snum_used(int snum)
 			for (ptcon = sess->tcons.list; ptcon; ptcon = ptcon->next) {
 				if (ptcon->compat_conn &&
 						ptcon->compat_conn->params &&
-						(ptcon->compat_conn->params->service = snum)) {
+						(ptcon->compat_conn->params->service == snum)) {
 					return true;
 				}
 			}
